#!/usr/bin/python
import moveit_commander
import rospy
import sys

from baxter_agent import BaxterAgent
from planning.scene import Scene

config = {
	'is_train': True,
	'tree_dir': './saved_trees/',
	'scene': 'scene description', #Should contain a description of the scene to be loaded
    'ir_path': '/home/ubuntu/Desktop/garbagebot/ros/src/GarbageBot/src/detecting/checkpoint/model.m',
    'ir_x':[None, 100, 110, 3],
    'ir_y': 3
}

def add_item(scene, color, msg):
	if msg:
		scene.set_item(color=color)


if __name__ == '__main__':
	moveit_commander.roscpp_initialize(sys.argv)
	rospy.init_node('garbage_bot', anonymous=True)

	b = BaxterAgent(config)

	# simulator flag
	if len(sys.argv) > 1:
		scene = Scene(b.baxter.get_planning_frame())
		rospy.sleep(2)
		scene.clear_scene()
		scene.set_table()
		scene.set_item()
		rospy.sleep(2)

		ab = lambda m: add_item(b.scene, 'blue', m)
		ar = lambda m: add_item(b.scene, 'red', m)

		b.navs['left'].button2_changed.connect(ab)
		b.navs['right'].button2_changed.connect(ar)

	b.train()
	b.run()
