#!/usr/bin/python
import moveit_commander
import rospy
import sys
from baxter import Baxter
from scene import Scene
from geometry_msgs.msg import Pose, Point

if __name__ == '__main__':
    moveit_commander.roscpp_initialize(sys.argv)
    rospy.init_node('example', anonymous=True)

    b = Baxter()
    s = Scene(b.get_planning_frame())
    rospy.sleep(2)

    s.clear_scene()
    s.set_table()
    s.set_item()
    rospy.sleep(2)

    # initial
    b.both.move(b.both.neutral)
    b.right.gripper.close()
    rospy.sleep(3)

    # approach
    b.right.move(b.right.pick)
    b.right.gripper.open()
    rospy.sleep(3)
    b.right.move(b.right.grasp)
    rospy.sleep(1)
    b.right.gripper.close()
    rospy.sleep(1)
    b.right.move(b.right.pick)

    # go away and drop
    b.right.move(b.right.neutral)
    b.right.gripper.open()
